# PhasicFlow: src/phasicFlow/streams/token/token.hpp File Reference

token.hpp File Reference
Include dependency graph for token.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | token
union | token::content

## Namespaces

| pFlow

## Functions

iOstream & | operator<< (iOstream &os, const token &tok)
iIstream & | operator>> (iIstream &is, token &tok)
iOstream & | operator<< (iOstream &os, const token::punctuationToken &pt)
std::ostream & | operator<< (std::ostream &os, const token::punctuationToken &pt)
std::ostream & | operator<< (std::ostream &os, const token &tok)
token | endListToken ()
token | beginListToken ()
token | endStatementToken ()
token | beginBlockToken ()
token | endBlocKToken ()
token | spaceToken ()
token | newLineToken ()